---------------------
PatchSet 3834 
Date: 2006/10/04 19:34:04
Author: rousskov
Branch: squid3-icap
Tag: (none) 
Log:
- Polished debug sections, level, and content of ICAP debug messages.

Members: 
	src/ICAP/ChunkedCodingParser.cc:1.1.2.1->1.1.2.2 
	src/ICAP/ICAPClientReqmodPrecache.cc:1.1.2.2->1.1.2.3 
	src/ICAP/ICAPModXact.cc:1.1.2.11->1.1.2.12 
	src/ICAP/MsgPipe.cc:1.1.2.2->1.1.2.3 

Index: squid3/src/ICAP/ChunkedCodingParser.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ICAP/ChunkedCodingParser.cc,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.2
diff -u -r1.1.2.1 -r1.1.2.2
--- squid3/src/ICAP/ChunkedCodingParser.cc	21 Nov 2005 21:05:51 -0000	1.1.2.1
+++ squid3/src/ICAP/ChunkedCodingParser.cc	4 Oct 2006 19:34:04 -0000	1.1.2.2
@@ -65,7 +65,7 @@
     size_t crlfEnd = 0;
 
     if (findCrlf(crlfBeg, crlfEnd)) {
-        debugs(99,5, "found chunk-size end: " << crlfBeg << "-" << crlfEnd);
+        debugs(93,7, "found chunk-size end: " << crlfBeg << "-" << crlfEnd);
         int size = -1;
         const char *p = 0;
 
@@ -89,7 +89,7 @@
 
             theIn->consume(crlfEnd);
             theChunkSize = theLeftBodySize = size;
-            debugs(99,5, "found chunk: " << theChunkSize);
+            debugs(93,7, "found chunk: " << theChunkSize);
             theStep = theChunkSize == 0 ? psTrailer : psChunkBody;
             return;
         }
Index: squid3/src/ICAP/ICAPClientReqmodPrecache.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ICAP/ICAPClientReqmodPrecache.cc,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.3
diff -u -r1.1.2.2 -r1.1.2.3
--- squid3/src/ICAP/ICAPClientReqmodPrecache.cc	29 Sep 2006 23:27:15 -0000	1.1.2.2
+++ squid3/src/ICAP/ICAPClientReqmodPrecache.cc	4 Oct 2006 19:34:04 -0000	1.1.2.3
@@ -157,7 +157,7 @@
         HttpRequest *req = dynamic_cast<HttpRequest*>(adapted->data->header);
 
         if (req) {
-            debugs(32,3,HERE << "notifying body_reader, contentSize() = " << p->data->body->contentSize());
+            debugs(93,3,HERE << "notifying body_reader, contentSize() = " << p->data->body->contentSize());
             req->body_reader->notify(p->data->body->contentSize());
         } else {
             http->takeAdaptedBody(adapted->data->body);
@@ -247,13 +247,13 @@
     assert(icap->adapted->data != NULL);
     MemBuf *bodybuf = icap->adapted->data->body;
     assert(bodybuf != NULL);
-    debugs(32,3,HERE << "readBody requested size " << size);
-    debugs(32,3,HERE << "readBody bodybuf size " << bodybuf->contentSize());
+    debugs(93,3,HERE << "readBody requested size " << size);
+    debugs(93,3,HERE << "readBody bodybuf size " << bodybuf->contentSize());
 
     if ((mb_size_t) size > bodybuf->contentSize())
         size = bodybuf->contentSize();
 
-    debugs(32,3,HERE << "readBody actual size " << size);
+    debugs(93,3,HERE << "readBody actual size " << size);
 
     assert(size);
 
@@ -268,7 +268,7 @@
 ICAPClientReqmodPrecache::abortBody(void *data, size_t remaining)
 {
     if (remaining >= 0) {
-        debugs(0,0,HERE << "ICAPClientReqmodPrecache::abortBody size " << remaining);
+        debugs(93,1,HERE << "ICAPClientReqmodPrecache::abortBody size " << remaining);
         // more?
     }
 
@@ -283,7 +283,7 @@
 void
 ICAPClientReqmodPrecache::kickBody(void *data)
 {
-    debugs(32,3,HERE << "ICAPClientReqmodPrecache::kickBody");
+    debugs(93,3,HERE << "ICAPClientReqmodPrecache::kickBody");
     ICAPClientReqmodPrecache *icap = static_cast<ICAPClientReqmodPrecache *>(data);
     assert(icap->adapted != NULL);
     icap->adapted->sendSinkNeed();
Index: squid3/src/ICAP/ICAPModXact.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ICAP/ICAPModXact.cc,v
retrieving revision 1.1.2.11
retrieving revision 1.1.2.12
diff -u -r1.1.2.11 -r1.1.2.12
--- squid3/src/ICAP/ICAPModXact.cc	4 Oct 2006 18:09:35 -0000	1.1.2.11
+++ squid3/src/ICAP/ICAPModXact.cc	4 Oct 2006 19:34:04 -0000	1.1.2.12
@@ -250,7 +250,7 @@
     writeSomeBody("prime virgin body", size);
 
     if (state.doneReceiving && claimSize(virginWriteClaim) <= 0) {
-        debugs(98, 5, HERE << "state.doneReceiving is set and wrote all");
+        debugs(93, 5, HERE << "state.doneReceiving is set and wrote all");
         stopWriting(true);
     }
 }
@@ -446,20 +446,20 @@
 void ICAPModXact::readMore()
 {
     if (reader || doneReading()) {
-        debugs(32,3,HERE << "returning from readMore because reader or doneReading()");
+        debugs(93,3,HERE << "returning from readMore because reader or doneReading()");
         return;
     }
 
     // do not fill readBuf if we have no space to store the result
     if (!adapted->data->body->hasPotentialSpace()) {
-        debugs(93,1,HERE << "Not reading because ICAP reply buffer is full");
+        debugs(93,3,HERE << "not reading because ICAP reply buffer is full");
         return;
     }
 
     if (readBuf.hasSpace())
         scheduleRead();
     else
-        debugs(93,1,HERE << "nothing to do because !readBuf.hasSpace()");
+        debugs(93,3,HERE << "nothing to do because !readBuf.hasSpace()");
 }
 
 // comm module read a portion of the ICAP response for us
@@ -815,10 +815,10 @@
     if (parsed)
         return true;
 
-    debugs(32,3,HERE << this << " needsMoreData = " << bodyParser->needsMoreData());
+    debugs(93,3,HERE << this << " needsMoreData = " << bodyParser->needsMoreData());
 
     if (bodyParser->needsMoreData()) {
-        debugs(32,3,HERE << this);
+        debugs(93,3,HERE << this);
         Must(mayReadMore());
         readMore();
     }
@@ -917,7 +917,7 @@
 // internal cleanup
 void ICAPModXact::doStop()
 {
-    debugs(98, 5, HERE << "doStop() called");
+    debugs(93, 5, HERE << "doStop() called");
     ICAPXaction::doStop();
 
     stopWriting(false);
Index: squid3/src/ICAP/MsgPipe.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ICAP/MsgPipe.cc,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.3
diff -u -r1.1.2.2 -r1.1.2.3
--- squid3/src/ICAP/MsgPipe.cc	29 Sep 2006 23:27:15 -0000	1.1.2.2
+++ squid3/src/ICAP/MsgPipe.cc	4 Oct 2006 19:34:05 -0000	1.1.2.3
@@ -90,7 +90,7 @@
     const char *verb = future ?
                        (res ? "will send " : "wont send ") :
                                (res ? "sends " : "ignores ");
-    debugs(99,5, "MsgPipe " << name << "(" << this << ") " <<
+    debugs(93,5, "MsgPipe " << name << "(" << this << ") " <<
            verb << callName << " to the " <<
            (destination ? destination->kind() : "destination") << "(" <<
            destination << "); " <<
